Subject: bug#71998: closed (Re: bug#71998: 31.0.50; Typescript grammar v0.21.2 causes test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 01:43:02 +0000

Your bug report

#71998: 31.0.50; Typescript grammar v0.21.2 causes test failure

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71998: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71998
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71998: 31.0.50; Typescript grammar v0.21.2 causes test failure
From: Stefan Kangas <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: Mattias Engdegård <[email-masked]>, john muhl <[email-masked]>, Theodor Thornhill <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Fri, 28 Feb 2025 17:42:30 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Yuan Fu <[email-masked]> writes:

>> On Feb 23, 2025, at 6:11 PM, john muhl <[email-masked]> wrote:
>>
>> Mattias Engdegård <[email-masked]> writes:
>>
>>>> The newly released version 0.21.2 of the typescript grammar caused
>>> the typescript-ts-mode tests to start failing.
>>>
>>> I still get the exact same test error on master. Is this supposed to be fixed?
>>
>> I’m still seeing this test failure and a after a little poking
>> around I found that setting indent-tabs-mode to nil after changing
>> the major mode in the test setup fixes it for me. I don’t
>> understand why that’s a problem here and not in other tests but I
>> tested it on two different systems and they both pass now.
>
> Thanks Mattias, I applied you patch.
>
>> p.s. While looking around I noticed that tree-sitter reports
>> errors in the code of the “JSX indentation” test. Looks like the
>> values after the ? & : should be quoted but I don’t know anything
>> about TS/JSX.
>
> You’re right, they should be quoted. And there shouldn’t be a semi-colon at the
> end either, since the whole things is supposed to be an expression rather than a
> statement.
>
> I applied another patch that fixed it.

It seems like the patches were applied here, so I'm closing this bug.

Subject: 31.0.50; Typescript grammar v0.21.2 causes test failure
From: john muhl <[email-masked]>
To: [email-masked]
Date: Mon, 08 Jul 2024 10:11:04 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The newly released version 0.21.2 of the typescript grammar caused
the typescript-ts-mode tests to start failing.